"{ Package: 'stx:goodies/ring/core/tests' }"

"{ NameSpace: Smalltalk }"

RGTest subclass:#RGGlobalVariableTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Ring-Tests-Core'
!

RGGlobalVariableTest comment:''
!

!RGGlobalVariableTest methodsFor:'tests'!

testGlobalVariableImplicitEnvironment
    | globalVariable |
    globalVariable := RGGlobalVariable unnamed.
    self assert: (globalVariable hasUnresolved: #name).
    self assert: globalVariable environment ask globalVariables size equals: 1.
    self assert: globalVariable environment ask globalVariables anyOne identicalTo: globalVariable
!

testNewGlobalVariable

    | classVariable | 
    classVariable  := RGGlobalVariable named: #SomeGlobalVariable.
    self assert: (classVariable isRingResolved).
    self assert: (classVariable hasResolvedName).
    self assert: (classVariable isGlobalVariable).


    
!

testResolvingConsistency

    | anObject |
    anObject := RGGlobalVariable unnamed.
    self checkClassesConsistency: anObject and: anObject makeResolved
! !

