"
COPYRIGHT (c) 2020 LabWare
"
"{ Package: 'stx:goodies/ring/monticello/tests' }"

"{ NameSpace: Smalltalk }"

RGMCTest subclass:#RGMCClassTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Ring-Tests-Monticello'
!

!RGMCClassTest class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2020 LabWare

"
! !

!RGMCClassTest methodsFor:'error handling'!

testNormalClass
    
    "a class with instance variables, class variables and class instance variables"
    self testClass: MCMockClassB 
! !

!RGMCClassTest methodsFor:'tests'!

testClassesWithTraits
    
    "classes without special slots"
    
    self skip. 
    "skip because of https://pharo.fogbugz.com/f/cases/22080/Monticello-wrongly-resolves-names-for-instance-variables-in-classes-that-contain-slots"
    
    Smalltalk allClasses
        select: [ :each | each isTrait not and: [each traits notEmpty or: [ each class traits notEmpty ]] ] 
        thenDo: [ :each | self testClass: each ]
    
!

testNormalKernelClasses
    
    "classes without special slots"
    
    (#Kernel asPackage definedClasses select: [:each | each isClass and: [each needsSlotClassDefinition  not]]) do: [ :each |
        self testClass: each].
!

testSpecialClasses
    
    "classes without special slots"
    
    (#Kernel asPackage definedClasses select: [:each | each isClass and: [each needsSlotClassDefinition]]) do: [ :each |
        self testClass: each].
! !

