"{ Package: 'stx:goodies/ring/core/tests' }"

"{ NameSpace: Smalltalk }"

RGTest subclass:#RGMetaclassTraitStrategyTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Ring-Tests-Core'
!

RGMetaclassTraitStrategyTest comment:''
!

!RGMetaclassTraitStrategyTest methodsFor:'tests'!

testCreationByMethod

    | anRGBehavior |
    
    anRGBehavior := RGBehavior newMetaclassTrait.
    self assert: (anRGBehavior isBehavior).	
    self assert: (anRGBehavior behaviorStrategy isMetaclassTraitStrategy).
!

testKind

    | strategy |
    
    strategy := RGBehavior newMetaclassTrait behaviorStrategy.
    self deny: strategy isClassStrategy.
    self deny: strategy isMetaclassStrategy.
    self deny: strategy isTraitStrategy.
    self assert: strategy isMetaclassTraitStrategy.
    
!

testResolvingConsistency

    | anObject |
    anObject := RGMetaclassTrait unnamed behaviorStrategy.
    self checkClassesConsistency: anObject and: anObject makeResolved
! !

